# ext/numeric File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/numeric.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _EXT_NUMERIC

## Functions

- template<typename _Tp, typename _Integer> _Tp __gnu_cxx::__power (_Tp __x, _Integer __n)
- template<typename _Tp, typename _Integer, typename _MonoidOperation> _Tp __gnu_cxx::__power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)
- template<typename _ForwardIter, typename _Tp> void __gnu_cxx::iota (_ForwardIter __first, _ForwardIter __last, _Tp __value)
- template<typename _Tp, typename _Integer> _Tp __gnu_cxx::power (_Tp __x, _Integer __n)
- template<typename _Tp, typename _Integer, typename _MonoidOperation> _Tp __gnu_cxx::power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)